import { useState } from 'react';
import { useContextStore } from './ProstoreContext';
import { useConnectStore } from './useConnectStore';
/**
 * Subscribe component to the store
 *
 * @param storeOrName - Store instance or name for it to be injected from the context
 * @returns
 *  state - local copy of store state;
 *  store - instance of the store
 */
export function useStore(storeOrName) {
    var store = useContextStore(storeOrName);
    var _a = useState(store.state), state = _a[0], setState = _a[1];
    useConnectStore(store, setState);
    return [state, store];
}
/**
 * Subscribe component to the store
 *
 * @param storeOrName - Store instance or name for it to be injected from the context
 * @returns local copy of store state
 */
export function useStoreState(storeOrName) {
    var store = useContextStore(storeOrName);
    var _a = useState(store.state), state = _a[0], setState = _a[1];
    useConnectStore(store, setState);
    return state;
}
//# sourceMappingURL=useStore.js.map