/**
 * Allows to observe the status of async operation
 * @param callback - async callback which performs the operation
 * @example
 *  const [run, loading] = useAsyncOperation(() => fetch('url').catch(e => console.error(e)));
 *  return <div>{loading ? 'Loading...' : <button onClick={run} />}
 */
export declare function useAsyncOperationBasic<Args extends any[], Result>(callback: (...args: Args) => Promise<Result>): readonly [(...args: Args) => Promise<Result>, boolean];
